Bug 226171 - Terminal renders background and text very slowly
Terminal renders background and text very slowly
Product: Fedora
Classification: Fedora
Component: Terminal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-01-31 14:57 EST by Ed Hill
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-27 15:04:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Hill 2007-01-31 14:57:13 EST
Description of problem:
Terminal redraws *very* slowly following upgrade of exo and Terminal.

Version-Release number of selected component (if applicable):
Terminal 0.2.6-1.fc6
exo 0.3.2-1.fc6.1

How reproducible:

I did an update a couple of days ago and it made new Terminals run
*very* slowly (one can actually watch the individual redraws of 
lines, background, etc.).  I updated exo today and the problem 
persists.  I have no idea why the redraws are so slow.  No other
applications have this problem -- everything else renders at the 
usual speed.
Comment 1 Kevin Fenzi 2007-01-31 15:28:37 EST
Odd. I don't see that at all here. 

Have you logged out and back on since the upgrade to 4.4.0? 
Perhaps some old libraries are still in memory?

I'll try and see if I can find any way to duplicate here. 
Comment 2 Kevin Fenzi 2007-01-31 16:54:34 EST
Perhaps you are hitting a vte bug?

There is a new vet in updates-testing for fc6, could you try upgrading that?


yum --enablerepo=updates-testing update vte

Let me know if that makes any difference.
Comment 3 Ed Hill 2007-02-01 13:00:06 EST
Hi Kevin, I tried the above vte update and unfortunately it made no
difference -- the rendering is still painfully slow.
Comment 4 Kevin Fenzi 2007-02-01 23:25:52 EST
I wonder if it could be this, or related to this bug: 

Is Composite enabled or disabled for you? 
xdpyinfo | grep -i composite
should tell you if it's enabled... 
Comment 5 Kevin Fenzi 2007-04-17 22:50:50 EDT
Hey Ed. Is this problem still happening for you? Any word on Composite? 
Comment 6 Ed Hill 2007-04-18 09:28:00 EDT
Hi Kevin, I'm not seeing this problem on my FC6 x86_64 laptop and I will try
it again on my FC6 i386 laptop tonight to see if it persists there.
Comment 7 Kevin Fenzi 2007-05-06 18:47:46 EDT
ok. Any news on the i386 testing?
Comment 8 Ed Hill 2007-05-08 22:42:30 EDT
I yum update-ed the FC6-i386 laptop and the terribly slow rendering of
Terminal persists.  I have no idea why its happening.  Gnome-terminal
works nicely on the same machine.  And Terminal works nicely on my x86_64 
Comment 9 Kevin Fenzi 2007-05-11 15:08:26 EDT
So, it's running 4.4.1 now? With the same issue?

I can't recall if we tried this yet, but: 
can you create a brand new user, logout and login as that user and see if the
problem persists for that user?

Comment 10 Josh Cogliati 2007-06-27 16:45:02 EDT
For what it is worth, I had this same issue in FC6, and upgrading to F7 fixed
the problem.
Comment 11 Kevin Fenzi 2007-06-27 17:38:42 EDT
I sure wish I could figure this one out. ;( 
I was unable to duplicate it on any of my FC6 boxes. ;( 

Anyone have any further ideas and/or a machine where it's currently happening? 
Comment 12 Kevin Fenzi 2007-08-05 15:15:39 EDT
Anyone left who can duplicate this? 

If not, perhaps it should just get closed?

If so, speak up and I can try and track it down some more. 
Comment 13 Kevin Fenzi 2007-08-27 15:04:09 EDT
ok, closing this. Feel free to reopen or file a new bug if someone is able to
reproduce this. 
Comment 14 Ed Hill 2007-08-29 17:23:53 EDT
Thank you for looking into this bug -- I'm unable to reproduce it on any of
my machines since they were upgraded to F7.

Note You need to log in before you can comment on or make changes to this bug.